#include "K34DodsonComponent.h"
#include "Net/UnrealNetwork.h"

class AK34Dodson;

void UK34DodsonComponent::OnRep_IsDodson()
{

}

bool UK34DodsonComponent::IsDodson()
{
	return false;
}

AK34Dodson* UK34DodsonComponent::GetDodsonActor() const
{
	return NULL;
}

void UK34DodsonComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK34DodsonComponent, _isDodson);
}

UK34DodsonComponent::UK34DodsonComponent()
{
	this->_dodsonActorClass = NULL;
	this->_isDodson = false;
}
